---
title: Ending a Call
slug: Web/API/WebRTC_API/build_a_phone_with_peerjs/connect_peers/end_a_call
---
<p>{{WebRTCSidebar}}</p>

<p>{{PreviousMenuNext("Web/API/WebRTC_API/build_a_phone_with_peerjs/connect_peers/answer_a_call", "Web/API/WebRTC_API/build_a_phone_with_peerjs/deployment_and_further_reading")}}</p>

<p id="d434">The last thing you want to do, is ensure your callers have a way of ending the call. The most graceful way of doing this is closing the connection using the <code>close</code> , which you can do in an event listener for the hang up button.</p>

<pre class="brush: js notranslate">const <strong><em>hangUpBtn </em></strong>= <strong><em>document</em></strong>.querySelector('.hangup-btn');
<strong><em>hangUpBtn</em></strong>.addEventListener('click', function (){
    <strong><em>conn</em></strong>.close();
    showCallContent();
})</pre>

<p id="d09f">When the connection has been close, you also want to display the correct HTML content, so you can just call your <code>showCallContent</code> function. Within the call event, you also want to ensure the remote browser is also updated so you can add another event listener within the <code>peer.on('call', function(stream){...}</code> event listener, within the conditional block.</p>

<pre class="brush: js notranslate"><strong><em>conn</em></strong>.on('close', function (){
    showCallContent();
})</pre>

<p id="7248">If the person who initiated the call clicks ‘hang up’ first, then both browsers will be updated.</p>

<div class="notecard warning">
<p>The <code>on('close')</code> event that is called on the <code>conn</code> variable isn’t available in Firefox yet, this just means in Firefox each caller will have to hang up individually.</p>
</div>

<div class="notecard warning">
<p>The way we’ve currently coded things means that when a connection is closed, both browsers will be updated <strong>only</strong> if the person who started the call presses ‘hang up’ first. If the person who answered the call clicks ‘hang up’ first, the other caller will also have to click ‘hang up’ to see the correct HTML.</p>
</div>
<p>{{PreviousMenuNext("Web/API/WebRTC_API/build_a_phone_with_peerjs/connect_peers/answer_a_call", "Web/API/WebRTC_API/build_a_phone_with_peerjs/deployment_and_further_reading")}}</p>
